import unittest

from common.utils.appinfo.data import AppInfoEntity, Data


class TestData(unittest.TestCase):
    def setUp(self):
        self.data = Data()

    def test_entity_to_key(self):
        result = self.data._entity_to_key(
            AppInfoEntity(1, "TCP", 22, "SSH")
        )

        self.assertEqual(1, result.app_id)
        self.assertEqual("TCP", result.protocol)
