import unittest

from common.utils.userconfig import core
from common.utils.userconfig.config import Config


class TestCore(unittest.TestCase):
    def test_core_error_wrapping(self):
        Config.POSTGRES_HOST = "bad config"
        test_core = core.UserConfigService()

        self.assertRaises(core.UserConfigError,
                          test_core.get_user_config, "test", "default org")
