from common.utils.config import Config as GlobalConfig


class Config(GlobalConfig):
    CLEANUP_TIMEOUT_SEC = GlobalConfig.CONFIG.get("DETECTOR", "CLEANUP_TIMEOUT_SEC", fallback="120")

    DETECTOR_TIMEOUT_SEC = GlobalConfig.CONFIG.get("DETECTOR", "DETECTOR_TIMEOUT_SEC", fallback="600")

    MAX_EVENTS_PER_RUN = GlobalConfig.CONFIG.get("DETECTOR", "MAX_EVENTS_PER_RUN", fallback="1000")

    EVICT_ALL_BASELINES = GlobalConfig.CONFIG.get("DETECTOR", "EVICT_ALL_BASELINES", fallback="False")
