import os

from common.utils.config import Config as GlobalConfig


class Config(GlobalConfig):
    DRUID_HOST = os.getenv("DRUID_URL", "https://druid-router:8280")

    CA_PATH = GlobalConfig.CONFIG.get("DRUID", "CA_PATH", fallback="/etc/nsxi/store/ca.crt")

    DEFAULT_GROUP_BY_LIMIT = GlobalConfig.CONFIG.get("DRUID", "GROUP_BY_LIMIT", fallback="1000000")
